The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the summary Details of the Stack Sensor

Prev Next

This URL allows you to get the details of stacked Sensors.

Resource URL

sensorstack/summary/<device_ID>

Request Parameters

URL parameters:

Field Name

Description

Data Type

Mandatory

device_ID

Device ID details

Number

Yes

Response Parameters

Following fields are returned if the request parameters are correct.

Field Name

Description

Data Type

success

Displays the success status

Boolean

msg

Displays the message

String

errMsg

Displays the error message

Boolean

data

An object that contains the details of the field

Object

errorCode

Error code

Number

Details of fields in data:

Field Name

Description

Data Type

configurationChanged

Configuration status

Boolean

sensorActive

Sensor status

Boolean

deviceType

Device type details

String

stackVO

An object that contains the details of the field

Object

sensorStatusVOList

An array that contains the details of the field

Array

Details of fields in stackVO:

Field Name

Description

Data Type

stackName

Displays the stack name

String

description

Description details

String

subscriberid

Subscriber ID details

Number

sharedsecret

Shared secret key details

String

capacity

Capacity details

Number

downloadMode

Mode of download

Number

model

Sensor model details

String

deviceType

Device type details

String

licensevalState

Validity status of the license

String

id

Stack ID details

Number

members

An array that contains the details of the field

Array

licenseAssigned

Status of license assignment

Boolean

Details of fields in members:

Field Name

Description

Data Type

sensorId

Sensor ID details

Number

memberId

Member ID details

Number

sensorName

Name of the Sensor

String

channelStatusOnline

Channel online status

Boolean

Details of fields in sensorStatusVOList:

Field Name

Description

Data Type

sensorName

Name of the Sensor

String

sensorActive

Sensor active status

Boolean

Example

Request

GET https://<IPSM_IP>/sdkapi/sensorstack/summary/108

Response

{
    "success": true,
    "msg": "Success",
    "errMsg": null,
    "data": {
        "configurationChanged": false,
        "sensorActive": false,
        "deviceType": "Suricata Stack",
        "stackVO": {
            "stackName": "stack2",
            "description": "",
            "subscriberid": 0,
            "sharedsecret": "admin123",
            "capacity": 120,
            "downloadMode": 0,
            "model": "NS9600",
            "deviceType": "suricata",
            "licensevalState": "INVALID_UNASSIGNED",
            "id": 108,
            "members": [
                {
                    "sensorId": 1046,
                    "memberId": 1,
                    "sensorName": "stack2-1",
                    "channelStatusOnline": false
                },
                {
                    "sensorId": 1047,
                    "memberId": 2,
                    "sensorName": "stack2-2",
                    "channelStatusOnline": false
                }
            ],
            "licenseAssigned": false
        },
        "sensorStatusVOList": [
            {
                "sensorName": "stack2-1",
                "sensorActive": false
            },
            {
                "sensorName": "stack2-2",
                "sensorActive": false
            }
        ]
    },
    "errorCode": 0
}

Error Information

The following error code is returned by this URL:

S.No

Generic Error Codes

ErrorMessage

Error Reason

1

1001

Bad URL - HTTP 404 Not Found

Mistyped URL

Internal Error – Null

Incorrect Input data, authentication issues